GWGraphInternal::Style Struct Reference

Internal: the graphic style of a GWGraph. More...

## Classes

struct | Color
| struct used to defined a color in a GWGraphInternal::Style More...

## Public Member Functions

| Style ()
| constructor More...
float | lineWidth () const
| return the line width More...
MWAWColor | getColor (bool line) const
| return the color for a line or a surface More...
bool | hasSurfaceColor () const
| return true if we have a surface color More...

## Public Attributes

Vec2f | m_lineWidth
| the line dimension ( width, height) More...
float | m_linePatternPercent
| the line pattern filled percent More...
int | m_lineArrow
| the line arrow type (v2) More...
Color | m_lineColor
| the line color More...
Color | m_surfaceColor
| the surface color More...
Color | m_shadeColor
| the shade color More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Style const &style)
| operator<< More...

## Detailed Description

Internal: the graphic style of a GWGraph.

## Constructor & Destructor Documentation

GWGraphInternal::Style::Style | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWColor GWGraphInternal::Style::getColor | ( | bool | line | ) | const

inline

return the color for a line or a surface

Referenced by GWGraphInternal::FrameBasic::getPicture().

bool GWGraphInternal::Style::hasSurfaceColor | ( |  | ) | const

inline

return true if we have a surface color

Referenced by GWGraphInternal::FrameBasic::getPicture().

float GWGraphInternal::Style::lineWidth | ( |  | ) | const

inline

return the line width

Referenced by GWGraphInternal::FrameBasic::getPicture().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Style const & | style
| ) |  |

friend

operator<<

## Member Data Documentation

std::string GWGraphInternal::Style::m_extra

extra data

Referenced by GWGraph::readStyle().

int GWGraphInternal::Style::m_lineArrow

the line arrow type (v2)

Referenced by GWGraphInternal::FrameBasic::getPicture(), and GWGraph::readStyle().

Color GWGraphInternal::Style::m_lineColor

the line color

Referenced by getColor(), GWGraph::readStyle(), and Style().

float GWGraphInternal::Style::m_linePatternPercent

the line pattern filled percent

Referenced by getColor(), and GWGraph::readStyle().

Vec2f GWGraphInternal::Style::m_lineWidth

the line dimension ( width, height)

Referenced by lineWidth(), and GWGraph::readStyle().

Color GWGraphInternal::Style::m_shadeColor

the shade color

Referenced by getColor(), hasSurfaceColor(), GWGraph::readStyle(), and Style().

Color GWGraphInternal::Style::m_surfaceColor

the surface color

Referenced by getColor(), hasSurfaceColor(), and GWGraph::readStyle().

The documentation for this struct was generated from the following file:

- GWGraph.cxx